package mvd.jester.utils;

import java.io.BufferedWriter;
import java.io.FileWriter;
import java.io.PrintWriter;

/**
 * Logger
 */
public class Logger {

    private FileWriter fileWriter;
    private BufferedWriter bufferedWriter;
    private PrintWriter printWriter;

    public Logger(String pathToFile) {
        try {
            fileWriter = new FileWriter(pathToFile, true);
            bufferedWriter = new BufferedWriter(fileWriter);
            printWriter = new PrintWriter(bufferedWriter);
        } catch (Exception e) {
            System.out.println("Could not create file!");
        }
    }


    public void log(Appendable sb) {
        printWriter.write(sb.toString());
    }

    public void finalize() {
        try {
            if (printWriter != null) {
                printWriter.close();
            }
            if (bufferedWriter != null) {
                bufferedWriter.close();
            }
            if (fileWriter != null) {
                fileWriter.close();
            }
        } catch (Exception e) {
        }
    }

}
